package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [DataEntity] 对象
 */
public interface IDataEntity {

    /**
     * 获取 [关系数据]
     */
    public void setRelationalData(String relationalData);
    
    /**
     * 设置 [关系数据]
     */
    public String getRelationalData();

    /**
     * 获取 [关系数据]脏标记
     */
    public boolean getRelationalDataDirtyFlag();
    /**
     * 获取 [业务实体标识]
     */
    public void setDataEntityId(String dataEntityId);
    
    /**
     * 设置 [业务实体标识]
     */
    public String getDataEntityId();

    /**
     * 获取 [业务实体标识]脏标记
     */
    public boolean getDataEntityIdDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [业务实体名称]
     */
    public void setDataEntityName(String dataEntityName);
    
    /**
     * 设置 [业务实体名称]
     */
    public String getDataEntityName();

    /**
     * 获取 [业务实体名称]脏标记
     */
    public boolean getDataEntityNameDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [系统名称]
     */
    public void setSystemName(String systemName);
    
    /**
     * 设置 [系统名称]
     */
    public String getSystemName();

    /**
     * 获取 [系统名称]脏标记
     */
    public boolean getSystemNameDirtyFlag();
    /**
     * 获取 [业务系统标识]
     */
    public void setSystemId(String systemId);
    
    /**
     * 设置 [业务系统标识]
     */
    public String getSystemId();

    /**
     * 获取 [业务系统标识]脏标记
     */
    public boolean getSystemIdDirtyFlag();
}
